Bug 473403 - Fast User Switching not working with ATI Radeon 9600 on G5 [NEEDINFO]
Fast User Switching not working with ATI Radeon 9600 on G5
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 05:40 EST by Jakub Jelinek
Modified: 2018-04-11 07:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:59:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (jakub)


Attachments (Terms of Use)
Xorg.0.log (108.37 KB, text/plain)
2008-11-28 05:41 EST, Jakub Jelinek
no flags Details
Xorg.1.log (107.35 KB, text/plain)
2008-11-28 05:42 EST, Jakub Jelinek
no flags Details
xorg.conf (860 bytes, text/plain)
2009-01-13 13:06 EST, David Rees
no flags Details
Xorg.0.log (92.67 KB, text/plain)
2009-01-13 13:07 EST, David Rees
no flags Details

  None (edit)
Description Jakub Jelinek 2008-11-28 05:40:10 EST
On F10, yum updated, with
kernel-2.6.27.5-117.fc10.ppc64
xorg-x11-drv-ati-6.9.0-54.fc10.ppc
Fast User Switching doesn't work well, a new X server is started, but attempting to switch to the first user back and again to the second user results in one of the X servers dying.

dmesg contains:
[drm] Num pipes: 1
ioctl32(plymouthd:805): Unknown cmd fd(13) cmd(00004b70){t:'K';sz:0} arg(1001c1f8) on /dev/tty1
ioctl32(Xorg:2577): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ff90d798) on /var/log/Xorg.0.log
ioctl32(Xorg:2577): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ff90d798) on /var/log/Xorg.0.log
agpgart-uninorth 0000:f0:0b.0: putting AGP V3 device into 8x mode
radeonfb 0000:f0:10.0: putting AGP V3 device into 8x mode
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] Num pipes: 1
[drm] writeback test succeeded in 1 usecs
fuse init (API version 7.9)
[drm:drm_update_drawable_info] *ERROR* Failed to copy cliprects from userspace
[drm:r300_do_cp_cmdbuf] *ERROR* r300_scratch failed
[drm] Num pipes: 1
ioctl32(Xorg:3162): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ffbd1798) on /var/log/Xorg.0.log
ioctl32(Xorg:3162): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ffbd1798) on /var/log/Xorg.0.log
agpgart-uninorth 0000:f0:0b.0: putting AGP V3 device into 8x mode
radeonfb 0000:f0:10.0: putting AGP V3 device into 8x mode
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] Num pipes: 1
[drm] writeback test succeeded in 1 usecs
[drm] Num pipes: 1
ioctl32(Xorg:4192): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ffa37798) on /var/log/Xorg.1.log
ioctl32(Xorg:4192): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ffa37798) on /var/log/Xorg.1.log
agpgart-uninorth 0000:f0:0b.0: putting AGP V3 device into 8x mode
radeonfb 0000:f0:10.0: putting AGP V3 device into 8x mode
[drm] Loading R300 Microcode
Unable to handle kernel paging request for data at address 0x00000000
Faulting instruction address: 0xd000000000149144
Oops: Kernel access of bad area, sig: 11 [#1]
SMP NR_CPUS=128 NUMA PowerMac
Modules linked in: fuse sco bridge stp bnep l2cap bluetooth sunrpc nf_conntrack_ipv6 ip6t_REJECT ip6table_filter ip6_tables ipv6 dm_multipath uinput snd_aoa_codec_tas snd_aoa_fabric_layout snd_aoa snd_aoa_i2sbus snd_aoa_soundbus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm pmac_zilog snd_page_alloc snd_timer snd soundcore tg3 sungem firewire_ohci ide_cd_mod libphy sungem_phy firewire_core crc_itu_t shpchp ata_generic sata_svw radeon drm
NIP: d000000000149144 LR: d000000000149138 CTR: 0000000000000000
REGS: c00000017628f840 TRAP: 0300   Not tainted  (2.6.27.5-117.fc10.ppc64)
MSR: 9000000000009032 <EE,ME,IR,DR>  CR: 44000422  XER: 00000000
DAR: 0000000000000000, DSISR: 0000000040000000
TASK = c0000001702d0000[3162] 'Xorg' THREAD: c00000017628c000 CPU: 1
GPR00: 0000000000000000 c00000017628fac0 d0000000001b1500 c000000177bb4000 
GPR04: d00008008352014c 0000000000000000 0000000000000000 0000000000001e7f 
GPR08: c000000177b7e400 0000000000000000 0000000000000000 c000000177c6be40 
GPR12: c000000177ac9ad8 c0000000008d7600 0000000000000000 000000001020aa58 
GPR16: 000000001020d970 00000000ffbd1884 000000001020aa58 000000001020d870 
GPR20: 000000001029d538 000000001020d970 000000001020d9f0 0000000000000000 
GPR24: c000000177bb302c c000000177bb3000 d0000000001a8050 c000000177bb3000 
GPR28: 0000000000000000 c000000177bb4000 d0000000001ae9b8 0000000000000000 
NIP [d000000000149144] .radeon_cp_init_ring_buffer+0x7a0/0x10b8 [radeon]
LR [d000000000149138] .radeon_cp_init_ring_buffer+0x794/0x10b8 [radeon]
Call Trace:
[c00000017628fac0] [d000000000149138] .radeon_cp_init_ring_buffer+0x794/0x10b8 [radeon] (unreliable)
[c00000017628fb60] [d00000000014cf74] .radeon_cp_resume+0xb4/0x118 [radeon]
[c00000017628fbf0] [d000000000079858] .drm_ioctl+0x21c/0x2e8 [drm]
[c00000017628fcb0] [d00000000017fd74] .radeon_compat_ioctl+0xb8/0xf0 [radeon]
[c00000017628fd50] [c000000000188144] .compat_sys_ioctl+0x134/0x470
[c00000017628fe30] [c000000000008770] syscall_exit+0x0/0x40
Instruction dump:
801d003c 38a00000 3889ffff 5529843e 7c840214 5484001e 7c844b78 78840020 
4bffa4d9 e93d0100 e97b03a0 801d0040 <e9290000> e96b0078 48000018 e93d0100 
---[ end trace 468125e58a83593f ]---
[drm:drm_release] *ERROR* Device busy: 1
ioctl32(Xorg:4771): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ffd0f798) on /var/log/Xorg.0.log
ioctl32(Xorg:4771): Unknown cmd fd(0) cmd(80086408){t:'d';sz:8} arg(ffd0f798) on /var/log/Xorg.0.log
agpgart-uninorth 0000:f0:0b.0: putting AGP V3 device into 8x mode
radeonfb 0000:f0:10.0: putting AGP V3 device into 8x mode
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] Num pipes: 1
[drm] writeback test succeeded in 1 usecs
Comment 1 Jakub Jelinek 2008-11-28 05:41:58 EST
Created attachment 324964 [details]
Xorg.0.log
Comment 2 Jakub Jelinek 2008-11-28 05:42:37 EST
Created attachment 324967 [details]
Xorg.1.log
Comment 3 David Rees 2009-01-13 13:04:56 EST
I'm seeing the same thing on my system. R500 GPU. Doesn't happen all the time, but happens more often than not. Renders fast-user-switching unusable.

Oops below, Xorg and xorg.conf to be attached. Let me know if you need any other information..  Note that I have to boot this system with nomodeset (also CC'd to that bug).

[drm:radeon_set_igpgart] *ERROR* Unable to use IGP GART table size 32768
[drm] Loading RS690/RS740 Microcode
BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
IP: [<ffffffffa0041fdf>] radeon_cp_init_ring_buffer+0x9e/0x36f [radeon]
PGD 10ed65067 PUD 10ed64067 PMD 123492067 PTE 0
Oops: 0000 [1] SMP 
CPU 0 
2 ppdev videodev v4l1_compat snd_hda_intel pcspkr i2c_piix4 snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm parport_pc parport r8169 mii shpchp snd_timer snd_page_alloc snd_hwdep snd soundcore ata_generic pata_acpi pata_atiixp pata_pdc2027x raid456 async_xor async_memcpy async_tx xor raid1 radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 5463, comm: Xorg Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffffa0041fdf>]  [<ffffffffa0041fdf>] radeon_cp_init_ring_buffer+0x9e/0x36f [radeon]
RSP: 0018:ffff88010ed45e28  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff88012351e000 RCX: ffffffffa00650a4
RDX: 000000000000007f RSI: 00000000ffffd000 RDI: ffff88012351e000
RBP: ffff88010ed45e38 R08: ffff88012351e000 R09: 0000000000049073
R10: 000105b37ef0ddb3 R11: 0000000100000000 R12: ffff88012351d000
R13: 0000000000006458 R14: ffff8801230909c0 R15: ffff88012351d000
FS:  00007fed5fedc780(0000) GS:ffffffff8155e100(0000) knlGS:00000000f7f86750
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 000000010ed57000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 5463, threadinfo ffff88010ed44000, task ffff88010edf0000)
Stack:  ffff88012351e000 ffff88012351d000 ffff88010ed45e58 ffffffffa00449c6
ffffffffa007caf0 0000000000000000 ffff88010ed45eb8 ffffffffa0011d1d
ffff880127433ea0 ffff88010f1d8688 0000000000000000 ffff88012351d03c
Call Trace:
[<ffffffffa00449c6>] radeon_cp_resume+0x94/0xd7 [radeon]
[<ffffffffa0011d1d>] drm_ioctl+0x1d6/0x25e [drm]
[<ffffffffa0044932>] ? radeon_cp_resume+0x0/0xd7 [radeon]
[<ffffffff810cba87>] vfs_ioctl+0x5f/0x78
[<ffffffff810cbcda>] do_vfs_ioctl+0x23a/0x24b
[<ffffffff810cbd40>] sys_ioctl+0x55/0x79
[<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Jan 11 14:58:58 summit kernel:
Jan 11 14:58:58 summit kernel:
Code: f6 09 c6 e8 b9 e4 ff ff 48 8b 83 00 01 00 00 48 8b 00 89 c2 49 8b 84 24 b0 03 00 00 03 53 40 2b 50 78 eb 1a 48 8b 83 00 01 00 00 <48> 8b 00 89 c2 49 8b 84 24 c8 03 00 00 03 53 40 2b 50 08 48 8b 
RIP  [<ffffffffa0041fdf>] radeon_cp_init_ring_buffer+0x9e/0x36f [radeon]
RSP <ffff88010ed45e28>
CR2: 0000000000000000
---[ end trace 666ed59a46bc5f74 ]---
Comment 4 David Rees 2009-01-13 13:06:38 EST
Created attachment 328897 [details]
xorg.conf

Note that I have to disable EXA acceleration. Otherwise frequently hangs on certain types of graphical activity.
Comment 5 David Rees 2009-01-13 13:07:42 EST
Created attachment 328898 [details]
Xorg.0.log
Comment 6 David Rees 2009-01-13 14:08:47 EST
BTW, I have found these bugs which look similar and are likely duplicates:

Bug 443834 - kernel BUG in :radeon:radeon_cp_init_ring_buffer on resume-from-ram
Bug 468389 - Loading R500 Microcode nomodeset => BUG: unable to handle kernel NULL pointer
Bug 471338 -  X crash on VT switch
Bug 472082 - Fast User Switching not working with ATI Technologies Inc M56GL

Hopefully looking at all the information together may provide a bit more insight.
Comment 7 David Rees 2009-01-31 02:22:51 EST
Since updating to xorg-x11-drv-ati-6.10.0-1.fc10.x86_64, I don't think I've seen this happen again.
Comment 8 Matěj Cepl 2009-01-31 15:18:08 EST
Jakub?
Comment 9 Bug Zapper 2009-11-18 04:01:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:59:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.